> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stratumn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Login using email

> Login using the email and the password of a valid Stratumn user



## OpenAPI

````yaml api-reference/open-api-v1.json post /login/credential
openapi: 3.0.0
info:
  title: Stratumn API
  description: Interact with Stratumn using simple REST endpoints
  version: 1.0.0
  contact: {}
servers:
  - url: http://api.local.stratumn.com:3000
    description: Local development server
  - url: https://api.stratumn.com
    description: Stratumn Production Server
  - url: https://api.us.stratumn.com
    description: Stratumn US Production Server
  - url: https://api.preprod.stratumn.com
    description: Stratumn Preprod Server
  - url: https://api.preprod.us.stratumn.com
    description: Stratumn US Preprod Server
security: []
tags: []
paths:
  /login/credential:
    post:
      tags:
        - Login
      summary: Login using email
      description: Login using the email and the password of a valid Stratumn user
      operationId: LoginController_loginCredential
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LoginCredentialDto'
      responses:
        '200':
          description: The jwt auth token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenDto'
components:
  schemas:
    LoginCredentialDto:
      type: object
      properties:
        email:
          description: The email used to login
          type: string
        password:
          description: The password used to login
          type: string
      required:
        - email
        - password
    TokenDto:
      type: object
      properties:
        token:
          description: The token needed (in authorization header) to authenticate requests
          type: string
      required:
        - token

````